PHP cli version


#1

I’m trying to setup symfony on dreamhost and the check config script says that I have a bad php version. When I check the php version from the cli, it says 4.4.9 but phpinfo() says 5.2.10
Is there a way to fix and/or get around this?


#2

I’m not familiar with symfony, but there may be an option to set the path of PHP so you get PHP5
/usr/local/php5/bin/php (the last ‘php’ is the actual executable binary)

-Scott


#3

Thanks, I found the php5 bin not too long after I put this post up and just ended up creating a symlink to it in my project directory to take care of my cli needs. That seems to do the trick, though it is slightly more tedious to use. Oh well, if someone knows of a better solution, I’m all ears…